#****************************************************************************
#**
#**  File     :  /cdimage/units/UAB2303/UAB2303_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix
#**
#**  Summary  :  Aeon Light Artillery Installation Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local AStructureUnit = import('/lua/aeonunits.lua').AStructureUnit
local WeaponsFile = import('/Mods/modtestmagic/hook/lua/modweapons.lua')
local ADFCannonOblivion01Weapon = WeaponsFile.ADFCannonOblivion01Weapon


--local AIFArtilleryMiasmaShellWeapon = import('/lua/aeonweapons.lua').AIFArtilleryMiasmaShellWeapon
--local CDFHeavyElectronBolter01Weapon = import('/Mods/modtestmagic/hook/lua/modweapons.lua').CDFHeavyElectronBolter01Weapon
--local util = import('/lua/utilities.lua')
--local fxutil = import('/lua/effectutilities.lua')

UAB2303 = Class(AStructureUnit) {

    Weapons = {
        MainGun = Class(ADFCannonOblivion01Weapon) {
		FxMuzzleFlashScale = 2.5,
		},
    },
}

TypeClass = UAB2303