#****************************************************************************
#**
#**  File     :  /Mods/units/UEO1102/UEO1102_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix  
#**					Modified By Asdrubaelvect
#**  Summary  :  UEF Vaisseau de soutien au sol
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local TSeaUnit = import('/lua/terranunits.lua').TSeaUnit
local TAirUnit = import('/lua/terranunits.lua').TAirUnit

local TDFLightPlasmaCannon01Weapon = import('/Mods/modtestmagic/hook/lua/modweapons.lua').TDFLightPlasmaCannon01Weapon
local TDFHeavyPlasmaCannon01Weapon = import('/Mods/modtestmagic/hook/lua/modweapons.lua').TDFHeavyPlasmaCannon01Weapon

UEO1102 = Class(TAirUnit) {

    Weapons = {
        AntiOrbitLeg = Class(TDFHeavyPlasmaCannon01Weapon) {},
        PlasmaGun = Class(TDFLightPlasmaCannon01Weapon) {}
    },
}


TypeClass = UEO1102