#****************************************************************************
#**
#**  File     :  /cdimage/units/UEO1103/UEO1103_script.lua
#**  Author(s):  Drew Staltman, Gordon Duclos, Greg Kohne
#**					Modified By Asdrubaelvect
#**  Summary  :  UEF Anti Spaceships Script
#**
#**  Copyright  2007 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************
local TSeaUnit = import('/lua/terranunits.lua').TSeaUnit
local TAirUnit = import('/lua/terranunits.lua').TAirUnit
local TDFMediumPlasmaCannon01Weapon = import('/Mods/modtestmagic/hook/lua/modweapons.lua').TDFMediumPlasmaCannon01Weapon
local TAAGinsuRapidPulseWeapon = import('/lua/terranweapons.lua').TAAGinsuRapidPulseWeapon

UEO1103 = Class(TAirUnit) {
    Weapons = {
        MainGun = Class(import('/Mods/modtestmagic/hook/lua/modweapons.lua').TAAGinsuRapidPulse01Weapon) {
		FxMuzzleFlashScale = 8,
        },
	    SecondGun = Class(TDFMediumPlasmaCannon01Weapon) { 
        },
		ThirdGum = Class(TAAGinsuRapidPulseWeapon) {},
	},
}
TypeClass = UEO1103