#****************************************************************************
#**
#**  File     :  /cdimage/units/UAS0103/UAS0103_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix
#**
#**  Summary  :  Aeon Frigate Script: UAS0103
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local ASeaUnit = import('/lua/aeonunits.lua').ASeaUnit
local AAirUnit = import('/lua/aeonunits.lua').AAirUnit
local WeaponsFile = import('/Mods/modtestmagic/hook/lua/modweapons.lua')
local ADFCannonQuantum01Weapon = WeaponsFile.ADFCannonQuantum01Weapon
local EffectTemplate = import('/lua/EffectTemplates.lua')

--local WeaponsFile = import('/Mods/modtestmagic/hook/lua/modweapons.lua')
--local ADFCannonOblivion01Weapon = WeaponsFile.ADFCannonOblivion01Weapon
UAS0103 = Class(AAirUnit) {

    Weapons = {
        MainGun = Class(ADFCannonQuantum01Weapon) {
            FxMuzzleFlash = EffectTemplate.AQuantumCannonMuzzle02,
			FxMuzzleFlashScale = 5,
        },
        MainGun2 = Class(ADFCannonQuantum01Weapon) {
        },
    },
}

TypeClass = UAS0103
