#****************************************************************************
#**
#**  File     :  /cdimage/units/URO1101/URO1101_script.lua
#**  Author(s):  David Tomandl, Jessica St. Croix
#**					Modified By Asdrubaelvect
#**  Summary  :  Cybran Anti Spaceships Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local CWalkingLandUnit = import('/lua/cybranunits.lua').CWalkingLandUnit
local CAirUnit = import('/lua/cybranunits.lua').CAirUnit
local CSeaUnit = import('/lua/cybranunits.lua').CSeaUnit
local CDFHeavyElectronBolter01Weapon = import('/Mods/modtestmagic/hook/lua/modweapons.lua').CDFHeavyElectronBolter01Weapon
local CDFProtonCannon01Weapon = import('/Mods/modtestmagic/hook/lua/modweapons.lua').CDFProtonCannon01Weapon
local CDFLaserPulseLight01Weapon = import('/Mods/modtestmagic/hook/lua/modweapons.lua').CDFLaserPulseLight01Weapon

local EffectUtil = import('/lua/EffectUtilities.lua')
local EffectTemplate = import('/lua/EffectTemplates.lua')
local Entity = import('/lua/sim/Entity.lua').Entity

URO1101 = Class(CAirUnit) {
    Weapons = {
        MainGun = Class(CDFHeavyElectronBolter01Weapon) {},
		ParticleGun = Class(CDFProtonCannon01Weapon) {},
		ThirdGun = Class(CDFLaserPulseLight01Weapon) {},
    },
}

TypeClass = URO1101