#****************************************************************************
#**
#**  File     :  /data/units/URO1102/URO1102_script.lua
#**  Author(s):  Jessica St. Croix 
#**				modified by Asdrubaelvect
#**  Summary  :  Cybran support spaceships
#**
#**  Copyright  2007 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local CAirUnit = import('/lua/cybranunits.lua').CAirUnit
local CSeaUnit = import('/lua/cybranunits.lua').CSeaUnit
local CDFHeavyElectronBolter01Weapon = import('/Mods/modtestmagic/hook/lua/modweapons.lua').CDFHeavyElectronBolter01Weapon
local CDFHeavyElectronBolter02Weapon = import('/Mods/modtestmagic/hook/lua/modweapons.lua').CDFHeavyElectronBolter02Weapon

URO1102 = Class(CAirUnit) {

    Weapons = {
		MainGun = Class(CDFHeavyElectronBolter01Weapon) {},
		SecondGun = Class(CDFHeavyElectronBolter02Weapon) {},
      },
}

TypeClass = URO1102