#****************************************************************************
#**
#**  File     :  /cdimage/units/URS0201/URS0201_script.lua
#**  Author(s):  David Tomandl, Jessica St. Croix
#**					Modified by Asdrubaelvect
#**  Summary  :  Cybran Anti Orbitals Fighters
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local CWalkingLandUnit = import('/lua/cybranunits.lua').CWalkingLandUnit
local CSeaUnit = import('/lua/cybranunits.lua').CSeaUnit
local CAirUnit = import('/lua/cybranunits.lua').CAirUnit
local CDFProtonCannon01Weapon = import('/Mods/modtestmagic/hook/lua/modweapons.lua').CDFProtonCannon01Weapon
local CDFLaserPulseLight01Weapon = import('/Mods/modtestmagic/hook/lua/modweapons.lua').CDFLaserPulseLight01Weapon

URO1103 = Class(CAirUnit) {

    Weapons = {
        ParticleGun = Class(CDFProtonCannon01Weapon) {},
		SecondGun = Class(CDFLaserPulseLight01Weapon) {},
    },
}

TypeClass = URO1103
